> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add node group

> Bearer PAT authentication; RBAC permission `clusters.write`. PAT mutations support `wait=false` where implemented; browser mutations require CSRF.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/scaleway/{cluster_id}/node-groups
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/scaleway/{cluster_id}/node-groups:
    post:
      tags:
        - Scaleway / Kapsule
      summary: Add node group
      description: >-
        Bearer PAT authentication; RBAC permission `clusters.write`. PAT
        mutations support `wait=false` where implemented; browser mutations
        require CSRF.
      operationId: add_node_group_scaleway_pat
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
        - description: PAT organisation override.
          in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScalewayCreateNodeGroupRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddNodeGroupResult'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Conflicting or unsafe lifecycle state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Provider or internal failure
      security:
        - BearerAuth: []
components:
  schemas:
    ScalewayCreateNodeGroupRequest:
      properties:
        autoscaling:
          anyOf:
            - properties:
                enabled:
                  type: boolean
                max_count:
                  type: integer
                min_count:
                  type: integer
              required:
                - enabled
                - min_count
                - max_count
              type: object
            - type: 'null'
        count:
          default: 1
          maximum: 100
          minimum: 0
          type: integer
        instance_type:
          type: string
        labels:
          additionalProperties:
            type: string
          type: object
        name:
          type: string
        taints:
          items:
            $ref: '#/components/schemas/ScalewayNodeTaint'
          type: array
      required:
        - name
        - instance_type
      type: object
    AddNodeGroupResult:
      properties:
        count:
          title: Count
          type: integer
        group_name:
          title: Group Name
          type: string
      required:
        - group_name
        - count
      title: AddNodeGroupResult
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ScalewayNodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          type: string
        key:
          type: string
        value:
          default: ''
          type: string
      required:
        - key
        - effect
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: PAT
      scheme: bearer
      type: http

````